Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 170853 - consider a bittorrent client in the default install
Summary: consider a bittorrent client in the default install
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Bill Nottingham
URL:
Whiteboard:
Depends On:
Blocks: FC7Target
TreeView+ depends on / blocked
 
Reported: 2005-10-14 19:26 UTC by Matthias Clasen
Modified: 2014-03-17 02:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-13 21:01:28 UTC


Attachments (Terms of Use)

Description Matthias Clasen 2005-10-14 19:26:38 UTC
Ubuntu uses gnome-btdownload, and it is nicely integrated with the mime system
(clicking on a torrent file in firefox starts it)

Comment 1 Matthias Clasen 2005-10-25 03:25:46 UTC
gnome-btdownload can be found at http://gnome-btdownload.sourceforge.net
It requires bittorrent, which is in Extras.

Comment 2 Ray Strode [halfline] 2005-10-28 19:45:52 UTC
It might be a good idea to get gnome-btdownload into extras instead.  

Comment 3 Marius Andreiana 2005-11-02 12:05:30 UTC
Note that correct URL is http://gnome-bt.sourceforge.net/

I see no reason to include gnome-bt, not even in extras, as we already have
original bittorrent:

* >clicking on a torrent file in firefox starts it
this is done by bittorrent-gui available in extras now too

* bittorrent-gui supports multiple torrent downloads, also integrates torrent
search box

* bittorrent-gui uses GTK, but not GNOME (which is good)


Comment 4 Matthias Clasen 2006-01-20 15:05:18 UTC
Too late now for FC5 anyway, no ?

Comment 5 Alexander Larsson 2006-01-23 09:10:22 UTC
That is likely.

IMHO from the discussion and testing them I think the standard bittorrent-gui
client is the best choice for this. We'll see when we get it in.

Comment 6 Ray Strode [halfline] 2006-01-27 21:44:01 UTC
Moving to FC6Target

Comment 7 Matthias Clasen 2006-07-06 22:04:20 UTC
Add to FC6Destop tracker

Comment 8 Matthias Clasen 2006-07-20 00:26:51 UTC
Too late for FC6

Comment 9 Alexander Larsson 2006-09-04 15:25:58 UTC
Why is this against nautilus.

Comment 10 Matthias Clasen 2007-02-05 15:55:55 UTC
Alex, one thing we should make sure with the bittorrent client that is now in
the desktop spin is that we start it when clicking on bittorrent links.

Comment 11 Marius Andreiana 2007-02-05 17:06:44 UTC
It should work by default if the client registers it knows about the mimetypes,
as bittorrent-gui and azureus do now - clicking in firefox opens one of them
automatically (azureus if there are both).

Comment 12 Bill Nottingham 2007-04-13 21:01:28 UTC
bittorrent/bittorrent-gui added.


Note You need to log in before you can comment on or make changes to this bug.